QGIS Application - Bug report #10009
Shp save as CSV is empty
2014-04-07 07:32 AM - Barbara Weidenhoefer

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No
Operating System: Win7 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 18497
Description

using qgis 2.2.0 on a windows 7 notebook

OBSERVED: "save as..." CSV generates an empty csv file.
csv file only contains the column header.

EXPECTED: "save as..." genereates a csv file with lat lon coordinates.
Note:

- using a kml or shp file for export (kml attached)
- save as csv works in previous version (2.0.1)

History

#1 - 2014-04-07 06:53 PM - Giovanni Manghi
- Status changed from Open to Feedback

cannot confirm here on Linux and Windows.

#2 - 2014-04-08 06:42 PM - Antonio Locandro
- File singapur.csv added

- File export.png added

I think something is happening, | tried it myself and | can get points to work but not lines and polygons no matter what settings | change

#3 - 2014-04-09 09:07 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

The tools works fine.

If the input file is a point layer, then there are no difficulties.

If the input file is a line or polygon layer then the geometry needs to be exported as WKT: in QGIS 2.2 there is this option.
It has no sense exporting a line/polygon geometry as "X/Y".

When the user choosen not to export the geometry then only the attributes are exported, and this is what happens also with the provided kml.

Files

Singapur.kml 3.54 KB 2014-04-07 Barbara Weidenhoefer
export.png 38.1 KB 2014-04-08 Antonio Locandro
singapur.csv 30 Bytes 2014-04-08 Antonio Locandro
